API ReferenceTickets
Update a ticket
PATCH
Only the fields you send are changed. Requires scope tickets:update.
header
AuthorizationBearer <token>Your organization API key: Authorization: Bearer org_…
ticketId*stringThe ticket's ticketId.
application/json- body
subject?stringtitle?stringDeprecatedOld name for subject.
description?stringstatus?TicketStatusValue in
"open""in_progress""resolved""closed"priority?TicketPriorityValue in
"low""medium""high""urgent"assigneeId?stringresolutionDate?stringFormat
date-timeThe updated ticket.
application/json- response
_id?stringticketId?stringHuman-readable ticket ID; use it in the ticket URLs.
title?stringThe ticket subject.
description?stringstatus?TicketStatusValue in
"open""in_progress""resolved""closed"priority?TicketPriorityValue in
"low""medium""high""urgent"assigneeId?string|nullaudienceId?string|nullorganizationId?stringresolutionDate?|Format
date-timecreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timecurl -X PATCH 'https://api.enigma-ai.com/v1/tickets/string' \ -H 'Content-Type: application/json' \ -d '{ "status": "resolved", "resolutionDate": "2026-10-10T12:00:00.000Z"}'{ "_id": "string", "ticketId": "string", "title": "string", "description": "string", "status": "open", "priority": "low", "assigneeId": "string", "audienceId": "string", "organizationId": "string", "resolutionDate": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}